liborigin 2.0.0

Public Member Functions | Public Attributes | List of all members
Origin::Graph Struct Reference

`#include <OriginObj.h>`

Inheritance diagram for Origin::Graph:

## Public Member Functions
| Graph (const string &_name="")
Public Member Functions inherited from Origin::Window
| Window (const string &_name="", const string &_label="", bool _hidden=false)

## Public Attributes
unsigned short | height
bool | is3D
bool | isLayout
vector< GraphLayer > | layers
unsigned short | width
Public Attributes inherited from Origin::Window
time_t | creationDate
Rect | frameRect
bool | hidden
string | label
time_t | modificationDate
string | name
int | objectID
State | state
Title | title

## Additional Inherited Members
Public Types inherited from Origin::Window
enum | State { Normal , Minimized , Maximized }
enum | Title { Name , Label , Both }

## Constructor & Destructor Documentation

## ◆ Graph()

Origin::Graph::Graph | ( | const string & | _name = `""` | ) |
| inline

## Member Data Documentation

## ◆ height

unsigned short Origin::Graph::height

## ◆ is3D

bool Origin::Graph::is3D

## ◆ isLayout

bool Origin::Graph::isLayout

## ◆ layers

vector<GraphLayer> Origin::Graph::layers

## ◆ width

unsigned short Origin::Graph::width

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginObj.h